package com.perforce.hws.p4base;

import java.util.Arrays;

/**
 * Created by tjuricek on 1/25/16.
 */
public interface PathUtils {

    default boolean hasSpecialChars(String path) {
        String parts[] = path.split("/");
        return Arrays.stream(parts)
                .anyMatch(s -> s.contains("...") ||
                        s.contains("*") ||
                        ".".equals(s) ||
                        "..".equals(s));
    }
}
