package com.perforce.hws.p4base;

import com.perforce.p4java.server.IServer;

import java.util.List;
import java.util.function.Supplier;

/**
 * Created by tjuricek on 1/18/16.
 */
public interface WhereMethods extends P4Methods {

    default String execWhere(Supplier<IServer> serverHandle, String depotPath) {
        List<ResultMap> resultMaps = exec(serverHandle, "where", depotPath);
        if (!resultMaps.isEmpty()) {
            return (String) resultMaps.get(0).get("path");
        }
        throw new IllegalStateException("Did not locate local file for " + depotPath);
    }
}
